#ifndef CTRLPOWERPANEL_H
#define CTRLPOWERPANEL_H

#include "gutil/qgui.h"
#include <QLabel>
#include <QRadioButton>
#include <QPushButton>
#include <base/switchcontrol.h>

class CtrlPowerPanel : public QWidget {
    Q_OBJECT
public:
    CtrlPowerPanel();
    bool restoreScheduleJson(QJsonObject oTaskSync);
    QJsonObject getScheduleJson();
    void clearSche();
protected:
    void showEvent(QShowEvent *event) override;
    void init();
    void changeEvent(QEvent *) override;
    void transUi();
private:
    QLabel *lbScreenCfg;
    QRadioButton *fdManual;
    QRadioButton *fdSchedule;

    QLabel *lbScreen;
    SwitchControl *fdScreen;
    QPushButton *btnScreenGet;

    QPushButton *pushButtonAdd;
    QPushButton *pushButtonDelete;
    QPushButton *pushButtonClear;
    QPushButton *pushButtonImport;
    QPushButton *pushButtonExport;
    QLabel *labelPowerScheduleTip;
    Table *tableSche;
    QPushButton *pushButtonApply;
    QPushButton *pushButtonClearSchedule;
    QPushButton *pushButtonReadback;
};

#endif // CTRLPOWERPANEL_H
